summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2017-02-22 15:12:15 -0500
committerIan Stakenvicius <axs@gentoo.org>2017-02-22 15:12:15 -0500
commitcfc564e94e64013121a4c04a5fad28f783acc517 (patch)
tree4673b30dac791408d20fe37885fd7b9cc41d06d3 /sys-devel/autoconf/autoconf-2.69-r1.ebuild
parentsys-devel/autoconf: drop old SLOT=2.5 versions (diff)
downloadgentoo-cfc564e94e64013121a4c04a5fad28f783acc517.tar.gz
gentoo-cfc564e94e64013121a4c04a5fad28f783acc517.tar.bz2
gentoo-cfc564e94e64013121a4c04a5fad28f783acc517.zip
Revert "sys-devel/autoconf: drop old SLOT=2.5 versions"
This reverts commit b7aa8161d89b41dc641883c60bacfd671fafcd9e. autoconf-2.69 was included in this commit and is stable on many arches, very much breaking the deptree.
Diffstat (limited to 'sys-devel/autoconf/autoconf-2.69-r1.ebuild')
-rw-r--r--sys-devel/autoconf/autoconf-2.69-r1.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/sys-devel/autoconf/autoconf-2.69-r1.ebuild b/sys-devel/autoconf/autoconf-2.69-r1.ebuild
new file mode 100644
index 00000000000..d8cbfdceb39
--- /dev/null
+++ b/sys-devel/autoconf/autoconf-2.69-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+# For usex.
+inherit eutils
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://git.savannah.gnu.org/${PN}.git
+ http://git.savannah.gnu.org/r/${PN}.git"
+ inherit git-2
+else
+ SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
+ ftp://alpha.gnu.org/pub/gnu/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
+fi
+
+DESCRIPTION="Used to create autoconfiguration files"
+HOMEPAGE="https://www.gnu.org/software/autoconf/autoconf.html"
+
+LICENSE="GPL-3"
+SLOT="2.5"
+IUSE="emacs"
+
+DEPEND=">=sys-devel/m4-1.4.16
+ >=dev-lang/perl-5.6"
+RDEPEND="${DEPEND}
+ >=sys-devel/autoconf-wrapper-13"
+PDEPEND="emacs? ( app-emacs/autoconf-mode )"
+
+if [[ -z ${__EBLITS__} && -n ${FILESDIR} ]] ; then
+ source "${FILESDIR}"/eblits/main.eblit || die
+fi
+src_prepare() { eblit-run src_prepare ; }
+src_configure() { eblit-run src_configure ; }
+src_install() { eblit-run src_install ; }